Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/History
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/History	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.12 2006/11/22 15:09:21 gcosmo Exp $
+$Id: History,v 1.14 2010/06/06 04:51:10 perl Exp $
 -------------------------------------------------------------------
 
@@ -15,4 +15,10 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+June 4th 2010 J.Perl
+- Updated vis usage
+
+May 12th 2010 J.Allison
+- Introduced GUIExecutive.
 
 November, 22nd 2006 G.Cosmo
Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/hepmcEx01.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/hepmcEx01.cc	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/hepmcEx01.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: hepmcEx01.cc,v 1.5 2006/07/05 11:06:36 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: hepmcEx01.cc,v 1.6 2010/05/12 12:58:17 allison Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
@@ -35,6 +35,4 @@
 #include "G4RunManager.hh"
 #include "G4UImanager.hh"
-#include "G4UIterminal.hh"
-#include "G4UItcsh.hh"
 
 #include "ExN04DetectorConstruction.hh"
@@ -50,4 +48,8 @@
 #ifdef G4VIS_USE
 #include "G4VisExecutive.hh"
+#endif
+
+#ifdef G4UI_USE
+#include "G4UIExecutive.hh"
 #endif
 
@@ -71,10 +73,4 @@
   runManager->SetUserInitialization(physics);
   
-#ifdef G4VIS_USE
-  // Visualization, if you choose to have it!
-  G4VisManager* visManager = new G4VisExecutive;
-  visManager->Initialize();
-#endif
-
   runManager->Initialize();
 
@@ -99,26 +95,30 @@
   runManager->SetUserAction(stepping_action);
   
+#ifdef G4VIS_USE
+  // Visualization, if you choose to have it!
+  G4VisManager* visManager = new G4VisExecutive;
+  visManager->Initialize();
+#endif
+
   //get the pointer to the User Interface manager   
   G4UImanager* UImanager = G4UImanager::GetUIpointer();  
 
-  if(argc==1)
-  {
-    // G4UIterminal is a (dumb) terminal
-    //
-#ifdef G4UI_USE_TCSH
-    G4UIsession* session = new G4UIterminal(new G4UItcsh);      
-#else
-    G4UIsession* session = new G4UIterminal();
-#endif    
-    UImanager->ApplyCommand("/control/execute vis.mac");
-    session->SessionStart();
-    delete session;
-  }
-  else   // Batch mode
-  {
-    G4String command = "/control/execute ";
-    G4String fileName = argv[1];
-    UImanager->ApplyCommand(command+fileName);
-  }
+  if (argc!=1)   // batch mode
+    {
+#ifdef G4VIS_USE
+      visManager->SetVerboseLevel("quiet");
+#endif
+      G4String command = "/control/execute ";
+      G4String fileName = argv[1];
+      UImanager->ApplyCommand(command+fileName);    
+    }
+  else
+    {  // interactive mode : define UI session
+#ifdef G4UI_USE
+      G4UIExecutive* ui = new G4UIExecutive(argc, argv);
+      ui->SessionStart();
+      delete ui;
+#endif
+    }
 
   // Free the store: user actions, physics_list and detector_description are
Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/include/ExN04RunAction.hh
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/include/ExN04RunAction.hh	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/include/ExN04RunAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN04RunAction.hh,v 1.3 2006/07/05 11:06:36 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/include/ExN04SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/include/ExN04SteppingVerbose.hh	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/include/ExN04SteppingVerbose.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN04SteppingVerbose.hh,v 1.2 2006/06/29 17:05:06 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //   This class manages the verbose outputs in G4SteppingManager. 
Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/src/ExN04EventAction.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/src/ExN04EventAction.cc	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/src/ExN04EventAction.cc	(revision 1337)
@@ -35,7 +35,4 @@
 #include "G4HCofThisEvent.hh"
 #include "G4VHitsCollection.hh"
-#include "G4TrajectoryContainer.hh"
-#include "G4Trajectory.hh"
-#include "G4VVisManager.hh"
 #include "G4SDManager.hh"
 #include "G4UImanager.hh"
Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/src/ExN04RunAction.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/src/ExN04RunAction.cc	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/src/ExN04RunAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN04RunAction.cc,v 1.3 2006/07/05 11:06:36 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/src/ExN04SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/src/ExN04SteppingVerbose.cc	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/src/ExN04SteppingVerbose.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: ExN04SteppingVerbose.cc,v 1.4 2006/06/29 17:06:23 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/vis.mac
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/vis.mac	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx01/vis.mac	(revision 1337)
@@ -8,34 +8,72 @@
 /run/verbose 2
 #
-# create empty scene
+# Use this open statement to create an OpenGL view:
+/vis/open OGL 600x600-0+0
 #
-/vis/scene/create
+# Use this open statement to create a .prim file suitable for
+# viewing in DAWN:
+#/vis/open DAWNFILE
 #
-# Create a scene handler for a specific graphics system
-# (Edit the next line(s) to choose another graphic system)
+# Use this open statement to create a .heprep file suitable for
+# viewing in HepRApp:
+#/vis/open HepRepFile
 #
-/vis/open OGLIX
+# Use this open statement to create a .wrl file suitable for
+# viewing in a VRML viewer:
+#/vis/open VRML2FILE
 #
-####/vis/open DAWNFILE
+# Disable auto refresh and quieten vis messages whilst scene and
+# trajectories are established:
+/vis/viewer/set/autoRefresh false
+/vis/verbose errors
 #
-# draw scene
+# Draw geometry:
+/vis/drawVolume
 #
-/vis/viewer/set/viewpointThetaPhi 90 180 deg
+# Specify view angle:
+/vis/viewer/set/viewpointThetaPhi 90. 180.
+#
+# Specify zoom value:
 /vis/viewer/zoom 1.4
-/vis/viewer/flush
 #
-# for drawing the tracks
-# Draw trajectories at end of event, showing trajectory points as
-# markers of size 2 pixels
-/vis/scene/add/trajectories
+# Specify style (surface or wireframe):
+#/vis/viewer/set/style wireframe
+#
+# Draw coordinate axes:
+#/vis/scene/add/axes 0 0 0 1 m
+#
+# Draw smooth trajectories at end of event, showing trajectory points
+# as markers 2 pixels wide:
+/vis/scene/add/trajectories smooth
 /vis/modeling/trajectories/create/drawByCharge
 /vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
 /vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 2
-# (if too many tracks cause core dump => storeTrajectory 0)
-
+# (if too many tracks cause core dump => /tracking/storeTrajectory 0)
+#
+# Draw hits at end of event:
+#/vis/scene/add/hits
+#
+# To draw only gammas:
+#/vis/filtering/trajectories/create/particleFilter
+#/vis/filtering/trajectories/particleFilter-0/add gamma
+#
+# To invert the above, drawing all particles except gammas,
+# keep the above two lines but also add:
+#/vis/filtering/trajectories/particleFilter-0/invert true
+#
+# Many other options are available with /vis/modeling and /vis/filtering.
+# For example, to select colour by particle ID:
+#/vis/modeling/trajectories/create/drawByParticleID
+#/vis/modeling/trajectories/drawByParticleID-0/set e- blue
+#
+# To superimpose all of the events from a given run:
 /vis/scene/endOfEventAction accumulate
 #
-# Refresh ready for run
-/vis/viewer/refresh
+# Re-establish auto refreshing and verbosity:
+/vis/viewer/set/autoRefresh true
+/vis/verbose warnings
+#
+# For file-based drivers, use this to create an empty detector view:
+#/vis/viewer/flush
 #
 # Now ready for /run/beamOn.
Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/History
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/History	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.8 2006/11/22 15:09:07 gcosmo Exp $
+$Id: History,v 1.9 2010/05/24 05:33:12 kmura Exp $
 -------------------------------------------------------------------
 
@@ -15,4 +15,9 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+May 24, 2010 K.Murakami
+- use QGSP physics list instead of old flag physics list
+- introduce G4UIExective
+- modify for HepMC ver.2 (2.06.00)
 
 Nov, 22nd, 2006 G.Cosmo
Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/README
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/README	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/README	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: README,v 1.1 2002/05/28 14:20:36 murakami Exp $
+$Id: README,v 1.2 2010/05/24 05:32:50 kmura Exp $
 -------------------------------------------------------------------
 
@@ -34,6 +34,5 @@
 3. Physics List 
 
-  Full set of "ordinary" physics processes, which is the same one as
-ExN04PhysicsList.
+  QGSP predefined physics list
 
 4. User actions
Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/hepmcEx02.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/hepmcEx02.cc	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/hepmcEx02.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: hepmcEx02.cc,v 1.5 2006/07/05 12:04:07 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: hepmcEx02.cc,v 1.6 2010/05/24 05:32:22 kmura Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 
@@ -39,5 +39,5 @@
 
 #include "H02DetectorConstruction.hh"
-#include "H02PhysicsList.hh"
+#include "QGSP.hh"
 #include "H02PrimaryGeneratorAction.hh"
 #include "H02EventAction.hh"
@@ -46,4 +46,8 @@
 #ifdef G4VIS_USE
 #include "G4VisExecutive.hh"
+#endif
+
+#ifdef G4UI_USE
+#include "G4UIExecutive.hh"
 #endif
 
@@ -57,5 +61,5 @@
   runManager-> SetUserInitialization(detector);
   //
-  G4VUserPhysicsList* physics = new H02PhysicsList;
+  G4VUserPhysicsList* physics = new QGSP;
   runManager-> SetUserInitialization(physics);
 
@@ -81,25 +85,20 @@
 #endif
 
-  if(argc==1)  // G4UIterminal is a (dumb) terminal
-  {
-#ifdef QERAUOY
-    G4UItcsh* tcsh= new
-      G4UItcsh("[40;01;36mhepmcEx02[40;33m(%s)[40;32m[%/][00;30m:");
-    G4UIterminal* session= new G4UIterminal(tcsh);
-    tcsh-> SetLsColor(RED, GREEN);
-#else
-    G4UItcsh* tcsh= new G4UItcsh("hepmcEx01(%s)[%/]:");
-    G4UIterminal* session= new G4UIterminal(tcsh);
+ //get the pointer to the User Interface manager   
+  G4UImanager* UImanager = G4UImanager::GetUIpointer();  
+
+  if (argc!=1) { // batch mode
+#ifdef G4VIS_USE
+    visManager-> SetVerboseLevel("quiet");
 #endif
-    session->SessionStart();
-    delete session;
-
-  }
-  else  // Batch mode
-  {
-    G4UImanager* UImanager= G4UImanager::GetUIpointer();
-    G4String command= "/control/execute ";
-    G4String fileName= argv[1];
-    UImanager-> ApplyCommand(command+fileName);
+    G4String command = "/control/execute ";
+    G4String fileName = argv[1];
+    UImanager-> ApplyCommand(command+fileName);    
+  } else {  // interactive mode : define UI session
+#ifdef G4UI_USE
+    G4UIExecutive* ui = new G4UIExecutive(argc, argv);
+    ui-> SessionStart();
+    delete ui;
+#endif
   }
 
Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/include/HepMCG4AsciiReader.hh
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/include/HepMCG4AsciiReader.hh	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/include/HepMCG4AsciiReader.hh	(revision 1337)
@@ -27,5 +27,5 @@
 //
 //   HepMCG4AsciiReader.hh
-//   $Id: HepMCG4AsciiReader.hh,v 1.4 2006/06/29 17:10:08 gunter Exp $
+//   $Id: HepMCG4AsciiReader.hh,v 1.5 2010/05/24 05:31:10 kmura Exp $
 //
 // ====================================================================
@@ -34,5 +34,5 @@
 
 #include "HepMCG4Interface.hh"
-#include "HepMC/IO_Ascii.h"
+#include "HepMC/IO_AsciiParticles.h"
 
 class HepMCG4AsciiReaderMessenger;
@@ -41,5 +41,5 @@
 protected:
   G4String filename;
-  HepMC::IO_Ascii* asciiInput;
+  HepMC::IO_AsciiParticles* asciiInput;
 
   G4int verbose;
Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/src/HepMCG4AsciiReader.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/src/HepMCG4AsciiReader.cc	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/src/HepMCG4AsciiReader.cc	(revision 1337)
@@ -27,5 +27,5 @@
 //
 //   HepMCG4AsciiReader.cc
-//   $Id: HepMCG4AsciiReader.cc,v 1.5 2006/06/29 17:12:09 gunter Exp $
+//   $Id: HepMCG4AsciiReader.cc,v 1.6 2010/05/24 05:29:44 kmura Exp $
 //
 // ====================================================================
@@ -41,5 +41,5 @@
 ////////////////////////////////////////
 {
-  asciiInput= new HepMC::IO_Ascii(filename.c_str(), std::ios::in);
+  asciiInput= new HepMC::IO_AsciiParticles(filename.c_str(), std::ios::in);
 
   messenger= new HepMCG4AsciiReaderMessenger(this);
@@ -60,5 +60,5 @@
   delete asciiInput;
 
-  asciiInput= new HepMC::IO_Ascii(filename.c_str(), std::ios::in);
+  asciiInput= new HepMC::IO_AsciiParticles(filename.c_str(), std::ios::in);
   asciiInput-> print();
 }
Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/src/HepMCG4Interface.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/src/HepMCG4Interface.cc	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/src/HepMCG4Interface.cc	(revision 1337)
@@ -27,5 +27,5 @@
 //
 //   HepMCG4Interface.cc
-//   $Id: HepMCG4Interface.cc,v 1.4 2006/06/29 17:12:24 gunter Exp $
+//   $Id: HepMCG4Interface.cc,v 1.5 2010/05/24 05:29:44 kmura Exp $
 //
 // ====================================================================
@@ -91,5 +91,6 @@
 
     // check world boundary
-    G4LorentzVector xvtx= (*vitr)-> position();
+    HepMC::FourVector pos= (*vitr)-> position(); 
+    G4LorentzVector xvtx(pos.x(), pos.y(), pos.z(), pos.t());
     if (! CheckVertexInsideWorld(xvtx.vect()*mm)) continue;
 
@@ -106,5 +107,6 @@
 
       G4int pdgcode= (*vpitr)-> pdg_id();
-      G4LorentzVector p= (*vpitr)-> momentum();
+      pos= (*vpitr)-> momentum();
+      G4LorentzVector p(pos.px(), pos.py(), pos.pz(), pos.e());
       G4PrimaryParticle* g4prim= 
 	new G4PrimaryParticle(pdgcode, p.x()*GeV, p.y()*GeV, p.z()*GeV);
Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/src/HepMCG4PythiaInterface.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/src/HepMCG4PythiaInterface.cc	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/src/HepMCG4PythiaInterface.cc	(revision 1337)
@@ -27,5 +27,5 @@
 //
 //   HepMCG4PythiaInterface.cc
-//   $Id: HepMCG4PythiaInterface.cc,v 1.6 2006/07/05 12:04:13 gcosmo Exp $
+//   $Id: HepMCG4PythiaInterface.cc,v 1.7 2010/05/24 05:29:44 kmura Exp $
 //
 // ====================================================================
@@ -37,5 +37,5 @@
 
 #include "HepMC/GenEvent.h" 
-#include "HepMC/PythiaWrapper6_152.h" 
+#include "HepMC/PythiaWrapper6_4.h" 
 
 // additional pythia calls
Index: trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/vis.mac
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/vis.mac	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/HepMCEx02/vis.mac	(revision 1337)
@@ -1,4 +1,4 @@
 #
-# Macro file for the initialization phase
+# Macro file for the initialization phase of "exampleN02.cc"
 # when runing in interactive mode
 #
@@ -8,25 +8,72 @@
 /run/verbose 2
 #
-# create empty scene
+# Use this open statement to create an OpenGL view:
+/vis/open OGL 600x600-0+0
 #
-/vis/scene/create
+# Use this open statement to create a .prim file suitable for
+# viewing in DAWN:
+#/vis/open DAWNFILE
 #
-# Create a scene handler for a specific graphics system
-# (Edit the next line(s) to choose another graphic system)
+# Use this open statement to create a .heprep file suitable for
+# viewing in HepRApp:
+#/vis/open HepRepFile
 #
-/vis/open OGLIX
+# Use this open statement to create a .wrl file suitable for
+# viewing in a VRML viewer:
+#/vis/open VRML2FILE
 #
-####/vis/open DAWNFILE
+# Disable auto refresh and quieten vis messages whilst scene and
+# trajectories are established:
+/vis/viewer/set/autoRefresh false
+/vis/verbose errors
 #
-# draw scene
+# Draw geometry:
+/vis/drawVolume
 #
-/vis/viewer/set/viewpointThetaPhi 90 180 deg
+# Specify view angle:
+/vis/viewer/set/viewpointThetaPhi 90. 180.
+#
+# Specify zoom value:
 /vis/viewer/zoom 1.4
-/vis/viewer/flush
 #
-# for drawing the tracks
-# (if too many tracks cause core dump => storeTrajectory 0)
-/tracking/storeTrajectory 1
-/vis/scene/add/trajectories
+# Specify style (surface or wireframe):
+#/vis/viewer/set/style wireframe
+#
+# Draw coordinate axes:
+#/vis/scene/add/axes 0 0 0 1 m
+#
+# Draw smooth trajectories at end of event, showing trajectory points
+# as markers 2 pixels wide:
+/vis/scene/add/trajectories smooth
+/vis/modeling/trajectories/create/drawByCharge
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 2
+# (if too many tracks cause core dump => /tracking/storeTrajectory 0)
+#
+# Draw hits at end of event:
+#/vis/scene/add/hits
+#
+# To draw only gammas:
+#/vis/filtering/trajectories/create/particleFilter
+#/vis/filtering/trajectories/particleFilter-0/add gamma
+#
+# To invert the above, drawing all particles except gammas,
+# keep the above two lines but also add:
+#/vis/filtering/trajectories/particleFilter-0/invert true
+#
+# Many other options are available with /vis/modeling and /vis/filtering.
+# For example, to select colour by particle ID:
+#/vis/modeling/trajectories/create/drawByParticleID
+#/vis/modeling/trajectories/drawByParticleID-0/set e- blue
+#
+# To superimpose all of the events from a given run:
 /vis/scene/endOfEventAction accumulate
-
+#
+# Re-establish auto refreshing and verbosity:
+/vis/viewer/set/autoRefresh true
+/vis/verbose warnings
+#
+# For file-based drivers, use this to create an empty detector view:
+#/vis/viewer/flush
+#
+# Now ready for /run/beamOn.
Index: trunk/examples/extended/eventgenerator/HepMC/History
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/History	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.18 2006/11/22 15:09:43 gcosmo Exp $
+$Id: History,v 1.21 2010/06/06 04:51:10 perl Exp $
 -------------------------------------------------------------------
 
@@ -15,4 +15,14 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+June 4, 2010 J. Perl (exHepMC-V09-03-02)
+
+May 24, 2010 K. Murakami (exHepMC-V09-03-01)
+- HepMCEx02: Introdiced G4UIExecutive.
+             update for latest HepMC (2.06.00)
+             use QGSP physics list
+
+May 12, 2010  J.Allison (exHepMC-V09-03-00)
+- HepMCEx01: Introduced GUIExecutive.
 
 Nov 22, 2006  G.Cosmo (exHepMC-V08-01-05)
Index: trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/DetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/DetectorConstruction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.1 2006/11/22 14:51:27 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/MCTruthConfig.hh
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/MCTruthConfig.hh	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/MCTruthConfig.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: MCTruthConfig.hh,v 1.1 2006/11/22 14:51:27 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/MCTruthEventAction.hh
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/MCTruthEventAction.hh	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/MCTruthEventAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: MCTruthEventAction.hh,v 1.1 2006/11/22 14:51:27 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/MCTruthManager.hh
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/MCTruthManager.hh	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/MCTruthManager.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: MCTruthManager.hh,v 1.1 2006/11/22 14:51:28 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/MCTruthTrackInformation.hh
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/MCTruthTrackInformation.hh	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/MCTruthTrackInformation.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: MCTruthTrackInformation.hh,v 1.1 2006/11/22 14:51:28 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/MCTruthTrackingAction.hh
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/MCTruthTrackingAction.hh	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/MCTruthTrackingAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: MCTruthTrackingAction.hh,v 1.1 2006/11/22 14:51:28 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/PhysicsList.hh	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/PhysicsList.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysicsList.hh,v 1.1 2006/11/22 14:51:28 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/PrimaryGeneratorAction.hh	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/MCTruth/include/PrimaryGeneratorAction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.1 2006/11/22 14:51:28 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/DetectorConstruction.cc	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/DetectorConstruction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: DetectorConstruction.cc,v 1.1 2006/11/22 14:51:29 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/MCTruthConfig.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/MCTruthConfig.cc	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/MCTruthConfig.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: MCTruthConfig.cc,v 1.1 2006/11/22 14:51:29 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/MCTruthEventAction.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/MCTruthEventAction.cc	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/MCTruthEventAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: MCTruthEventAction.cc,v 1.1 2006/11/22 14:51:29 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/MCTruthManager.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/MCTruthManager.cc	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/MCTruthManager.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: MCTruthManager.cc,v 1.2 2006/12/13 15:42:36 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/MCTruthTrackInformation.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/MCTruthTrackInformation.cc	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/MCTruthTrackInformation.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: MCTruthTrackInformation.cc,v 1.1 2006/11/22 14:51:30 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/MCTruthTrackingAction.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/MCTruthTrackingAction.cc	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/MCTruthTrackingAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: MCTruthTrackingAction.cc,v 1.1 2006/11/22 14:51:30 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/PhysicsList.cc	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/PhysicsList.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysicsList.cc,v 1.1 2006/11/22 14:51:30 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/PrimaryGeneratorAction.cc	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/MCTruth/src/PrimaryGeneratorAction.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: PrimaryGeneratorAction.cc,v 1.1 2006/11/22 14:51:31 gcosmo Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/examples/extended/eventgenerator/HepMC/README
===================================================================
--- trunk/examples/extended/eventgenerator/HepMC/README	(revision 1230)
+++ trunk/examples/extended/eventgenerator/HepMC/README	(revision 1337)
@@ -10,7 +10,6 @@
 -------------------------------------------
 HepMC:
-  tested version : 1.27.02
-  http://lcgapp.cern.ch/project/spi/extsoft/packages.php?pkg=HepMC
-  http://cern.ch/mdobbs/HepMC/
+  tested version : 2.06.00
+  http://lcgapp.cern.ch/project/simu/HepMC/
 
   Note: examples were tested only on Linux with gcc.
